> ## Documentation Index
> Fetch the complete documentation index at: https://docs.wattshift.com/llms.txt
> Use this file to discover all available pages before exploring further.

# get onboarding status



## OpenAPI

````yaml /api-reference/openapi.json post /v1/onboarding/status/get
openapi: 3.0.0
info:
  title: WattShift API
  description: An API for the WattShift Service (https://wattshift.com/partners)
  version: '1.0'
  contact: {}
servers: []
security: []
tags: []
paths:
  /v1/onboarding/status/get:
    post:
      tags:
        - onboarding
      summary: get onboarding status
      operationId: OnboardingController_getStatus_v1
      parameters:
        - name: x-ws-api-key
          in: header
          description: WattShift API Key
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/OnboardingStatusRequestDto'
            example:
              homeId: ws_home_123456789
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/OnboardingStatusResponseDto'
              example:
                id: onboarding_flow_123456789
                homeId: ws_home_123456789
                status: IN_PROGRESS
                eligibilityStatus: eligible
                thermostatBrandCode: ecobee
                zipcode: '94107'
                step: 2
      security:
        - x-ws-api-key: []
components:
  schemas:
    OnboardingStatusRequestDto:
      type: object
      properties:
        homeId:
          type: string
      required:
        - homeId
    OnboardingStatusResponseDto:
      type: object
      properties:
        id:
          description: Unique identifier of the onboarding flow
          type: string
          nullable: true
        homeId:
          type: string
        status:
          type: string
          enum:
            - NOT_STARTED
            - IN_PROGRESS
            - COMPLETED
            - ERROR
        eligibilityStatus:
          description: Eligibility status of the device and region
          type: string
          enum:
            - eligible
            - notEligible
          nullable: true
        thermostatBrandCode:
          type: string
          nullable: true
        zipcode:
          description: Zipcode of home
          type: string
          pattern: ^(?:0{0,4}[0-9]{1,5}|[0-9]{3})(?:[-\s][0-9]{4})?$
          nullable: true
        step:
          description: The number of steps the user has completed
          type: number
          nullable: true
      required:
        - id
        - homeId
        - status
        - eligibilityStatus
        - thermostatBrandCode
        - zipcode
        - step
  securitySchemes:
    x-ws-api-key:
      type: apiKey
      in: header
      name: x-ws-api-key
      description: WattShift API key

````